app-backup / attic

Attic is a deduplicating backup program written in Python.

Official package sites : https://attic-backup.org/ ·

v9999 :: 0 :: gentoo

Modified
License
BSD
USE flags
libressl

v0.16-r1 :: 0 :: gentoo

Modified
License
BSD
Keywords
~amd64 ~x86
USE flags
libressl

General

libressl
Use dev-libs/libressl instead of dev-libs/openssl when applicable (see also the ssl useflag)

python_targets

python3_5
Build with Python 3.5
python3_6
Build with Python 3.6

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-libs / libressl : Free version of the SSL/TLS protocol forked from OpenSSL

dev-libs / openssl : full-strength general purpose cryptography library (including SSL and TLS)

dev-python / cython : A Python to C compiler

dev-python / llfuse : Python bindings for the low-level FUSE API

dev-python / msgpack : MessagePack (de)serializer for Python

dev-python / setuptools : Collection of extensions to Distutils

dev-vcs / git : stupid content tracker: distributed VCS designed for speed and efficiency

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-libs / libressl : Free version of the SSL/TLS protocol forked from OpenSSL

dev-libs / openssl : full-strength general purpose cryptography library (including SSL and TLS)

dev-python / llfuse : Python bindings for the low-level FUSE API

dev-python / msgpack : MessagePack (de)serializer for Python

674822
app-backup/attic-0.16-r1 : attic/crypto.c:838:18: error: field ctx has incomplete type
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove python3_4 PYTHON_COMPAT correctly
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Pacho Ramos · gentoo
app-backup/attic: Support python3.6
Package-Manager: Portage-2.3.41, Repoman-2.3.9
Matthew Thode · gentoo
app-backup/attic: allow use of renamed msgpack
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Pacho Ramos · gentoo
app-backup/attic: Support python 3.5
Package-Manager: portage-2.3.1
Anthony G. Basile · gentoo
app-backup/attic: fix openssl and libressl slots
Package-Manager: portage-2.2.26
Anthony G. Basile · gentoo
app-backup/attic: KEYWORD ~x86
Package-Manager: portage-2.2.26
Anthony G. Basile · gentoo
app-backup/attic: cython is required to build
Package-Manager: portage-2.2.26
Anthony G. Basile · gentoo
app-backup/attic: initial commit
Package-Manager: portage-2.2.24